git_branch-class {git2r} | R Documentation

## S4 class to handle a git branch

### Description

Class `git_branch`

### Slots

name

  Name of the branch.

type

  Type of the branch, either 1 (local) or 2 (remote).

repo

  The S4 class git_repository that contains the branch

### Methods

is_head

  `signature(object = "git_branch")`

is_local

  `signature(object = "git_branch")`

show

  `signature(object = "git_branch")`

[Package git2r version 0.20.0 Index]